Apps

Android Tech Specs


Make sure your Android device’s operating system meets our technical specifications.

Right now, Whale mAPP is available on Android devices with an operating system of at least 4.1 (Jelly Bean).  Although you need an operating system of at least 4.1, you don’t need a data plan.  Your Android device can be a WiFi-only device – like the Samsung Tab 3.

You can check your device’s Android version under “About device” in your phone’s settings.

Everything look good? Great! Sign up for an account.